### 5.39 `strspn`—find initial match

Synopsis

         #include <string.h>
         size_t strspn(const char *s1, const char *s2);

Description
This function computes the length of the initial segment of the string pointed to by s1 which consists entirely of characters from the string pointed to by s2 (excluding the terminating null character).

Returns
`strspn` returns the length of the segment found.

Portability
`strspn` is ANSI C.

`strspn` requires no supporting OS subroutines.